Bug 591701 - (CVE-2010-1916) CVE-2010-1916 xinha: access restriction bypass [MOPS 2010-020]
CVE-2010-1916 xinha: access restriction bypass [MOPS 2010-020]
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100510,reported=20100511,sou...
: Security
Depends On: 591702
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 16:50 EDT by Vincent Danen
Modified: 2011-06-15 18:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 18:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-12 16:50:19 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1916 to
the following vulnerability:

Name: CVE-2010-1916
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1916
Assigned: 20100511
Reference: MISC: http://www.php-security.org/2010/05/10/mops-2010-019-serendipity-wysiwyg-editor-plugin-configuration-injection-vulnerability/index.html
Reference: MISC: http://www.php-security.org/2010/05/10/mops-2010-020-xinha-wysiwyg-plugin-configuration-injection-vulnerability/index.html

The dynamic configuration feature in Xinha WYSIWYG editor 0.96 Beta 2
and earlier, as used in Serendipity 1.5.2 and earlier, allows remote
attackers to bypass intended access restrictions and modify the
configuration of arbitrary plugins via (1) crafted
backend_config_secret_key_location and backend_config_hash parameters
that are used in a SHA1 hash of a shared secret that can be known or
externally influenced, which are not properly handled by the
"Deprecated config passing" feature; or (2) crafted backend_data and
backend_data[key_location] variables, which are not properly handled
by the xinha_read_passed_data function.  NOTE: this can be leveraged to
upload and possibly execute arbitrary files via config.inc.php in the
ImageManager plugin.

The upstream bug report [1] has links to patches to correct this issue.

[1] http://trac.xinha.org/ticket/1518
Comment 1 Vincent Danen 2010-05-12 16:51:36 EDT
Created xinha tracking bugs for this issue

Affects: fedora-all [bug 591702]
Comment 2 Fedora Update System 2010-05-29 06:26:21 EDT
xinha-0.96.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xinha-0.96.1-1.fc12
Comment 3 Fedora Update System 2010-05-29 06:26:48 EDT
xinha-0.96.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xinha-0.96.1-2.fc13
Comment 4 Fedora Update System 2010-06-08 15:31:19 EDT
xinha-0.96.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-06-16 13:50:57 EDT
xinha-0.96.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.